package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFL38Data {

    private Map<String, Object> params;
    
    public MWFL38Data(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsIdobchodu() {
        return (Long) params.get("RS_IDOBCHODU");
    }

    public String rsIsin() {
        return (String) params.get("RS_ISIN");
    }

    public String rsNazev() {
        return (String) params.get("RS_NAZEV");
    }

    public java.util.Date rsUzavrenidatum() {
        return (java.util.Date) params.get("RS_UZAVRENIDATUM");
    }

    public java.util.Date rsObchodnidatum() {
        return (java.util.Date) params.get("RS_OBCHODNIDATUM");
    }

    public java.util.Date rsVyporadanidatum() {
        return (java.util.Date) params.get("RS_VYPORADANIDATUM");
    }

    public String rsObchodnicislo() {
        return (String) params.get("RS_OBCHODNICISLO");
    }

    public String rsTypobchodu() {
        return (String) params.get("RS_TYPOBCHODU");
    }

    public Double rsPocetks() {
        return (Double) params.get("RS_POCETKS");
    }

    public Double rsObjem() {
        return (Double) params.get("RS_OBJEM");
    }

    public Double rsCena() {
        return (Double) params.get("RS_CENA");
    }

    public Double rsPoplatky() {
        return (Double) params.get("RS_POPLATKY");
    }

    public Double rsProvize() {
        return (Double) params.get("RS_PROVIZE");
    }

    public String rsMena() {
        return (String) params.get("RS_MENA");
    }

    public String rsStavobchodu() {
        return (String) params.get("RS_STAVOBCHODU");
    }

    public String rsVyplata() {
        return (String) params.get("RS_VYPLATA");
    }

    public String rsPobockavyplaty() {
        return (String) params.get("RS_POBOCKAVYPLATY");
    }

    public String rsVyplaceno() {
        return (String) params.get("RS_VYPLACENO");
    }

    public java.util.Date rsVyplatadatum() {
        return (java.util.Date) params.get("RS_VYPLATADATUM");
    }

    public String rsPobocka() {
        return (String) params.get("RS_POBOCKA");
    }

    public Long rsKlientiddisponent() {
        return (Long) params.get("RS_KLIENTIDDISPONENT");
    }

    public Long rsExtid() {
        return (Long) params.get("RS_EXTID");
    }

    public String rsUserid() {
        return (String) params.get("RS_USERID");
    }

    public Long rsPseudotransakceid() {
        return (Long) params.get("RS_PSEUDOTRANSAKCEID");
    }

    public String rsCislouctu() {
        return (String) params.get("RS_CISLOUCTU");
    }

    public String rsCislosmlouvy() {
        return (String) params.get("RS_CISLOSMLOUVY");
    }

    public String rsBankakod() {
        return (String) params.get("RS_BANKAKOD");
    }

    public String rsProdukt() {
        return (String) params.get("RS_PRODUKT");
    } 

}
